org.apache.fop.fo.properties

## Class FixedLength

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.LengthProperty
    - - org.apache.fop.fo.properties.FixedLength

All Implemented Interfaces:
  Length, Numeric

    public final class FixedLength
    extends LengthProperty

An absolute length quantity in XSL

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.properties.LengthProperty

`LengthProperty.Maker`

### Field Summary

Fields
`static String` `CM` Describes the unit centimeter.
`static String` `INCH` Describes the unit inch.
`static String` `MM` Describes the unit millimeter.
`static String` `MPT` Describes the unit millipoint.
`static String` `PICA` Describes the unit pica.
`static String` `POINT` Describes the unit point.
`static FixedLength` `ZERO_FIXED_LENGTH` canonical zero-length instance

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static FixedLength` `getInstance(double numUnits)` Return the cached `FixedLength` instance corresponding to the computed value.
`static FixedLength` `getInstance(double numUnits, String units)` Return the cached `FixedLength` instance corresponding to the computed value This method assumes a source-resolution of 1 (1px = 1pt)
`static FixedLength` `getInstance(double numUnits, String units, float sourceResolution)` Return the cached `FixedLength` instance corresponding to the computed value in base-units (millipoints).
`double` `getNumericValue()` Return the value of this Numeric
`double` `getNumericValue(PercentBaseContext context)` Return the value of this Numeric
`int` `getValue()` Returns the length in 1/1000ths of a point (millipoints)
`int` `getValue(PercentBaseContext context)` Returns the length in 1/1000ths of a point (millipoints)
`int` `hashCode()`
`boolean` `isAbsolute()` Return true since a FixedLength is always absolute.
`String` `toString()`

### Methods inherited from class org.apache.fop.fo.properties.LengthProperty

`getDimension, getLength, getNumeric, getObject`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getColor, getCondLength, getEnum, getKeep, getLengthPair, getLengthRange, getList, getNCname, getNumber, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.fop.datatypes.Numeric

`getEnum`

### Field Detail

#### PICA

    public static final String PICA

Describes the unit pica.

See Also:
  Constant Field Values

#### POINT

    public static final String POINT

Describes the unit point.

See Also:
  Constant Field Values

#### MM

    public static final String MM

Describes the unit millimeter.

See Also:
  Constant Field Values

#### CM

    public static final String CM

Describes the unit centimeter.

See Also:
  Constant Field Values

#### INCH

    public static final String INCH

Describes the unit inch.

See Also:
  Constant Field Values

#### MPT

    public static final String MPT

Describes the unit millipoint.

See Also:
  Constant Field Values

#### ZERO_FIXED_LENGTH

    public static final FixedLength ZERO_FIXED_LENGTH

canonical zero-length instance

### Method Detail

#### getInstance

    public static FixedLength getInstance(double numUnits,
                                          String units,
                                          float sourceResolution)

Return the cached `FixedLength` instance corresponding to the computed value in base-units (millipoints).

Parameters:
  `numUnits` - quantity of input units
  `units` - input unit specifier
  `sourceResolution` - input/source resolution (= ratio of pixels per pt)
Returns:
  the canonical FixedLength instance corresponding to the given number of units and unit specifier in the given resolution

#### getInstance

    public static FixedLength getInstance(double numUnits,
                                          String units)

Return the cached `FixedLength` instance corresponding to the computed value This method assumes a source-resolution of 1 (1px = 1pt)

Parameters:
  `numUnits` - input units
  `units` - unit specifier
Returns:
  the canonical FixedLength instance corresponding to the given number of units and unit specifier

#### getInstance

    public static FixedLength getInstance(double numUnits)

Return the cached `FixedLength` instance corresponding to the computed value. This method assumes 'millipoints' (non-standard) as units, and an implied source-resolution of 1 (1px = 1pt).

Parameters:
  `numUnits` - input units
Returns:
  the canonical FixedLength instance corresponding to the given number of units and unit specifier

#### getValue

    public int getValue()

Returns the length in 1/1000ths of a point (millipoints)

Returns:
  the length in millipoints

#### getValue

    public int getValue(PercentBaseContext context)

Returns the length in 1/1000ths of a point (millipoints)

Parameters:
  `context` - The context for the length calculation (for percentage based lengths)
Returns:
  the length in millipoints

#### getNumericValue

    public double getNumericValue()

Return the value of this Numeric

Returns:
  the computed value.

#### getNumericValue

    public double getNumericValue(PercentBaseContext context)

Return the value of this Numeric

Parameters:
  `context` - The context for the length calculation (for percentage based lengths)
Returns:
  the computed value.

#### isAbsolute

    public boolean isAbsolute()

Return true since a FixedLength is always absolute. Return true if the numeric is an absolute value. Relative values are percentages and table-column-units. All other numerics are absolute.

Returns:
  true when the numeric is absolute.

#### toString

    public String toString()

Overrides:
  `toString` in class `Property`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`